<?php
/**
 * @link http://www.yiiframework.com/
 * @copyright Copyright (c) 2008 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 */

namespace app\commands;

use yii\console\Application;
use yii\console\Controller;

class InstallController extends Controller
{
    public function actionIndex()
    {
        $oldApp = \Yii::$app;
        new Application([
            'id'            => 'System',
            'basePath'      => '@app',
            'runtimePath' => dirname(__DIR__) . '/../runtime',
            'vendorPath' => dirname(__DIR__) . '/../vendor',
            'components'    => [
                'db' => $oldApp->db,
            ],
        ]);

        \Yii::$app->runAction('migrate/up', ['migrationPath' => '@vendor/dektrium/yii2-user/migrations', 'interactive' => true]);
        \Yii::$app = $oldApp;
    }
}
